Bug 403903 - does not respect org.kde.pim.ews.client: a:ErrorServerBusy: The server cannot service this request right now. Try again later.
Summary: does not respect org.kde.pim.ews.client: a:ErrorServerBusy: The server cannot...
Status: CONFIRMED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: EWS Resource (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal with 21 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-03 22:32 UTC by Aaron Williams
Modified: 2021-08-03 08:46 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Williams 2019-02-03 22:32:51 UTC
SUMMARY
I am unable to download my email with very recent releases (last few days with OpenSUSE). I keep getting the error,  "org.kde.pim.ews.client: a:ErrorServerBusy: The server cannot service this request right now. Try again later." This is with Akonadi 18.12.1-lp150.83.1 connected to Office 365. I have nuked everything and re-created the account on numerous occasions (and had to manually add the password stuff via qdbus due to another bug).  The strange thing is I have another machine running the exact same version with the exact same settings and I am not seeing the problem there. I have verified that all settings for EWS are identical.

STEPS TO REPRODUCE
1. Create an EWS account in Kontact
2. Try and download email from Office 365
3. 

OBSERVED RESULT
Emails are never downloaded and the debug log is filled with, "org.kde.pim.ews.client: a:ErrorServerBusy: The server cannot service this request right now. Try again later."

EXPECTED RESULT
I expect emails to be downloaded

SOFTWARE/OS VERSIONS
Windows: 
MacOS: 
Linux/KDE Plasma: OpenSUSE 15.0 with latest KDE repository
(available in About System)
KDE Plasma Version: 5.14.90-lp150.238.1 (OpenSUSE)
KDE Frameworks Version: 5.54.0
Qt Version: 5.12.0

KDEPIM/Akonadi: 18.12.1-lp150.83.1

ADDITIONAL INFORMATION
Comment 1 Aaron Williams 2019-02-06 03:25:26 UTC
When the server responds with this error it also specifies how long the client should wait in milliseconds. It would be nice if Akonadi would respect that.

org.kde.pim.ews.client.proto: data KIO::TransferJob(0x55602c039970) "<?xml version=\"1.0\" encoding=\"utf-8\"?><s:Envelope xmlns:s=\"http://schemas.xmlsoap.org/soap/envelope/\"><s:Body><s:Fault><faultcode xmlns:a=\"http://schemas.microsoft.com/exchange/services/2006/types\">a:ErrorServerBusy</faultcode><faultstring xml:lang=\"en-US\">The server cannot service this request right now. Try again later.</faultstring><detail><e:ResponseCode xmlns:e=\"http://schemas.microsoft.com/exchange/services/2006/errors\">ErrorServerBusy</e:ResponseCode><e:Message xmlns:e=\"http://schemas.microsoft.com/exchange/services/2006/errors\">The server cannot service this request right now. Try again later.</e:Message><t:MessageXml xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><t:Value Name=\"BackOffMilliseconds\">213631</t:Value></t:MessageXml></detail></s:Fault></s:Body></s:Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x55602c039970) ""
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-RLygWvy/ews_xmldump_ppzpkKi.xml"
org.kde.pim.ews.client: a:ErrorServerBusy: The server cannot service this request right now. Try again later.
org.kde.pim.ews.client: request  dumped to "/tmp/akonadi-ews-RLygWvy/ews_xmlreqdump_EgwgskN.xml"
org.kde.pim.ews.client: response dumped to "/tmp/akonadi-ews-RLygWvy/ews_xmlresdump_PtFspvg.xml"
org.kde.pim.ews.client.request: Starting GetStreamingEvents request (subId: 1melsjw, timeout: 30)
org.kde.pim.ews.client.proto: "<?xml version=\"1.0\"?><soap:Envelope xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><soap:Header><t:RequestServerVersion Version=\"Exchange2010_SP1\"/></soap:Header><soap:Body><m:GetStreamingEvents><m:SubscriptionIds><t:SubscriptionId>JwBieWFwcjE4bWIyNDQwLm5hbXByZDE4LnByb2Qub3V0bG9vay5jb20QAAAA/PV94Xu0Dk6xhatkt3i44Q3WO9vei9YIEAAAAKStBHVI/VtOowPZCRt0Buc=</t:SubscriptionId></m:SubscriptionIds><m:ConnectionTimeout>30</m:ConnectionTimeout></m:GetStreamingEvents></soap:Body></soap:Envelope>\n"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x556024f3d4a0) "<?xml version=\"1.0\" encoding=\"utf-8\"?><s:Envelope xmlns:s=\"http://schemas.xmlsoap.org/soap/envelope/\"><s:Body><s:Fault><faultcode xmlns:a=\"http://schemas.microsoft.com/exchange/services/2006/types\">a:ErrorServerBusy</faultcode><faultstring xml:lang=\"en-US\">The server cannot service this request right now. Try again later.</faultstring><detail><e:ResponseCode xmlns:e=\"http://schemas.microsoft.com/exchange/services/2006/errors\">ErrorServerBusy</e:ResponseCode><e:Message xmlns:e=\"http://schemas.microsoft.com/exchange/services/2006/errors\">The server cannot service this request right now. Try again later.</e:Message><t:MessageXml xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><t:Value Name=\"BackOffMilliseconds\">213564</t:Value></t:MessageXml></detail></s:Fault></s:Body></s:Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x556024f3d4a0) ""
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-RLygWvy/ews_xmldump_fCPJiiC.xml"
org.kde.pim.ews.client: a:ErrorServerBusy: The server cannot service this request right now. Try again later.
org.kde.pim.ews.client: request  dumped to "/tmp/akonadi-ews-RLygWvy/ews_xmlreqdump_wRuZnVK.xml"
org.kde.pim.ews.client: response dumped to "/tmp/akonadi-ews-RLygWvy/ews_xmlresdump_jBIqQPU.xml"
org.kde.pim.ews.client.request: Starting GetStreamingEvents request (subId: 1melsjw, timeout: 30)
org.kde.pim.ews.client.proto: "<?xml version=\"1.0\"?><soap:Envelope xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><soap:Header><t:RequestServerVersion Version=\"Exchange2010_SP1
Comment 2 Martin Steigerwald 2019-02-08 07:54:01 UTC
Bug 404079 - EWS will not download new email anymore after a:ErrorServerBusy: The server cannot service this request right now. Try again later.

is related. Apparently Akonadi EWS can get completely stuck after not respecting a:ErrorServerBusy.

(BTW for me it is complete news to me that a mail or groupware server can report that it is busy. My private Dovecot IMAP/POP3 *never* *ever* did that. And it points out that there is an issue Microsoft might be responsible for – unless Akonadi EWS is doing something excessive here. However, also if the error means that Microsoft failed to allocate sufficient resources for the service, it still would be good that Akonadi EWS respects it.  :)
Comment 3 Aaron Williams 2019-02-08 08:01:01 UTC
When this happens, Akonadi is attempting to download thousands of emails from a Microsoft Office365 server. I suspect that it /is/ a Microsoft issue. I've had many issues with Office365 being slow, even in the web interface. That being the case, this is a case where the server is telling the client to stop for a certain amount of time (likely due to resource issues or trying to even the load among other users). I don't think this is even possible with IMAP. I have never seen this with Cyrus when downloading over 200K emails from my Cyrus IMAP server (a dual-core Atom server). I really have no choice about the mail service since this is for work. My alternative is Thunder ExQuilla, which has its own set of issues (and the fact that Thunderbird is insanely slow and a huge memory and resource hog). I have seen the wait times be anywhere from 30 to 300 seconds.
Comment 4 Aaron Williams 2019-02-08 08:03:34 UTC
Here is a trace where i get the eServerBusy and it never recovers and seems to be stuck. I see periodic event messages, but it no longer downloads any email.

org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638eeb20cf0) ""
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_VMDhOiB.xml"
org.kde.pim.ews.client: a:ErrorServerBusy: The server cannot service this request right now. Try again later.
org.kde.pim.ews.client: request  dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmlreqdump_lFwhaqn.xml"
org.kde.pim.ews.client: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmlresdump_XTlaGsO.xml"
org.kde.pim.ews.client.request: Starting GetStreamingEvents request (subId: f38155, timeout: 30)
org.kde.pim.ews.client.proto: "<?xml version=\"1.0\"?><soap:Envelope xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><soap:Header><t:RequestServerVersion Version=\"Exchange2010_SP1\"/></soap:Header><soap:Body><m:GetStreamingEvents><m:SubscriptionIds><t:SubscriptionId>JwBieWFwcjE4bWIyNDQwLm5hbXByZDE4LnByb2Qub3V0bG9vay5jb20QAAAASQcw3Xriq0+/v1BcZcIg4UyaLQaRjdYIEAAAAKStBHVI/VtOowPZCRt0Buc=</t:SubscriptionId></m:SubscriptionIds><m:ConnectionTimeout>30</m:ConnectionTimeout></m:GetStreamingEvents></soap:Body></soap:Envelope>\n"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638ec87a240) "<?xml version=\"1.0\" encoding=\"utf-8\"?><s:Envelope xmlns:s=\"http://schemas.xmlsoap.org/soap/envelope/\"><s:Body><s:Fault><faultcode xmlns:a=\"http://schemas.microsoft.com/exchange/services/2006/types\">a:ErrorServerBusy</faultcode><faultstring xml:lang=\"en-US\">The server cannot service this request right now. Try again later.</faultstring><detail><e:ResponseCode xmlns:e=\"http://schemas.microsoft.com/exchange/services/2006/errors\">ErrorServerBusy</e:ResponseCode><e:Message xmlns:e=\"http://schemas.microsoft.com/exchange/services/2006/errors\">The server cannot service this request right now. Try again later.</e:Message><t:MessageXml xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><t:Value Name=\"BackOffMilliseconds\">163536</t:Value></t:MessageXml></detail></s:Fault></s:Body></s:Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638ec87a240) ""
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_gCibIZt.xml"
org.kde.pim.ews.client: a:ErrorServerBusy: The server cannot service this request right now. Try again later.
org.kde.pim.ews.client: request  dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmlreqdump_wygbqMm.xml"
org.kde.pim.ews.client: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmlresdump_BMfzEDv.xml"
org.kde.pim.ews.client.request: Starting GetStreamingEvents request (subId: f38155, timeout: 30)
org.kde.pim.ews.client.proto: "<?xml version=\"1.0\"?><soap:Envelope xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><soap:Header><t:RequestServerVersion Version=\"Exchange2010_SP1\"/></soap:Header><soap:Body><m:GetStreamingEvents><m:SubscriptionIds><t:SubscriptionId>JwBieWFwcjE4bWIyNDQwLm5hbXByZDE4LnByb2Qub3V0bG9vay5jb20QAAAASQcw3Xriq0+/v1BcZcIg4UyaLQaRjdYIEAAAAKStBHVI/VtOowPZCRt0Buc=</t:SubscriptionId></m:SubscriptionIds><m:ConnectionTimeout>30</m:ConnectionTimeout></m:GetStreamingEvents></soap:Body></soap:Envelope>\n"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f9af02d0) "<?xml version=\"1.0\" encoding=\"utf-8\"?><s:Envelope xmlns:s=\"http://schemas.xmlsoap.org/soap/envelope/\"><s:Body><s:Fault><faultcode xmlns:a=\"http://schemas.microsoft.com/exchange/services/2006/types\">a:ErrorServerBusy</faultcode><faultstring xml:lang=\"en-US\">The server cannot service this request right now. Try again later.</faultstring><detail><e:ResponseCode xmlns:e=\"http://schemas.microsoft.com/exchange/services/2006/errors\">ErrorServerBusy</e:ResponseCode><e:Message xmlns:e=\"http://schemas.microsoft.com/exchange/services/2006/errors\">The server cannot service this request right now. Try again later.</e:Message><t:MessageXml xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><t:Value Name=\"BackOffMilliseconds\">163239</t:Value></t:MessageXml></detail></s:Fault></s:Body></s:Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f9af02d0) ""
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_iMAgYOZ.xml"
org.kde.pim.ews.client: a:ErrorServerBusy: The server cannot service this request right now. Try again later.
org.kde.pim.ews.client: request  dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmlreqdump_mKrOhji.xml"
org.kde.pim.ews.client: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmlresdump_gNrhaVF.xml"
org.kde.pim.ews.client.request: Starting GetStreamingEvents request (subId: f38155, timeout: 30)
org.kde.pim.ews.client.proto: "<?xml version=\"1.0\"?><soap:Envelope xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><soap:Header><t:RequestServerVersion Version=\"Exchange2010_SP1\"/></soap:Header><soap:Body><m:GetStreamingEvents><m:SubscriptionIds><t:SubscriptionId>JwBieWFwcjE4bWIyNDQwLm5hbXByZDE4LnByb2Qub3V0bG9vay5jb20QAAAASQcw3Xriq0+/v1BcZcIg4UyaLQaRjdYIEAAAAKStBHVI/VtOowPZCRt0Buc=</t:SubscriptionId></m:SubscriptionIds><m:ConnectionTimeout>30</m:ConnectionTimeout></m:GetStreamingEvents></soap:Body></soap:Envelope>\n"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638fdf32c40) "<?xml version=\"1.0\" encoding=\"utf-8\"?><s:Envelope xmlns:s=\"http://schemas.xmlsoap.org/soap/envelope/\"><s:Body><s:Fault><faultcode xmlns:a=\"http://schemas.microsoft.com/exchange/services/2006/types\">a:ErrorServerBusy</faultcode><faultstring xml:lang=\"en-US\">The server cannot service this request right now. Try again later.</faultstring><detail><e:ResponseCode xmlns:e=\"http://schemas.microsoft.com/exchange/services/2006/errors\">ErrorServerBusy</e:ResponseCode><e:Message xmlns:e=\"http://schemas.microsoft.com/exchange/services/2006/errors\">The server cannot service this request right now. Try again later.</e:Message><t:MessageXml xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><t:Value Name=\"BackOffMilliseconds\">162983</t:Value></t:MessageXml></detail></s:Fault></s:Body></s:Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638fdf32c40) ""
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_cdVBTRW.xml"
org.kde.pim.ews.client: a:ErrorServerBusy: The server cannot service this request right now. Try again later.
org.kde.pim.ews.client: request  dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmlreqdump_XMadept.xml"
org.kde.pim.ews.client: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmlresdump_OWlllCC.xml"
org.kde.pim.ews.client.request: Starting GetStreamingEvents request (subId: f38155, timeout: 30)
org.kde.pim.ews.client.proto: "<?xml version=\"1.0\"?><soap:Envelope xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><soap:Header><t:RequestServerVersion Version=\"Exchange2010_SP1\"/></soap:Header><soap:Body><m:GetStreamingEvents><m:SubscriptionIds><t:SubscriptionId>JwBieWFwcjE4bWIyNDQwLm5hbXByZDE4LnByb2Qub3V0bG9vay5jb20QAAAASQcw3Xriq0+/v1BcZcIg4UyaLQaRjdYIEAAAAKStBHVI/VtOowPZCRt0Buc=</t:SubscriptionId></m:SubscriptionIds><m:ConnectionTimeout>30</m:ConnectionTimeout></m:GetStreamingEvents></soap:Body></soap:Envelope>\n"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "<Envelope xmlns=\"http://schemas.xmlsoap.org/soap/envelope/\"><soap11:Header xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><ServerVersionInfo xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" MajorVersion=\"15\" MinorVersion=\"20\" MajorBuildNumber=\"1601\" MinorBuildNumber=\"22\" Version=\"V2018_01_08\" xmlns=\"http://schemas.microsoft.com/exchange/services/2006/types\" /></soap11:Header><soap11:Body xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><m:GetStreamingEventsResponse xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\"><m:ResponseMessages><m:GetStreamingEventsResponseMessage ResponseClass=\"Success\"><m:ResponseCode>NoError</m:ResponseCode><m:ConnectionStatus>OK</m:ConnectionStatus></m:GetStreamingEventsResponseMessage></m:ResponseMessages></m:GetStreamingEventsResponse></soap11:Body></Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_BDQfPLD.xml"
org.kde.pim.ews.client.request: Got GetStreamingEvents response (0 notifications, 0 events)
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "<Envelope xmlns=\"http://schemas.xmlsoap.org/soap/envelope/\"><soap11:Header xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><ServerVersionInfo xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" MajorVersion=\"15\" MinorVersion=\"20\" MajorBuildNumber=\"1601\" MinorBuildNumber=\"22\" Version=\"V2018_01_08\" xmlns=\"http://schemas.microsoft.com/exchange/services/2006/types\" /></soap11:Header><soap11:Body xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><m:GetStreamingEventsResponse xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\"><m:ResponseMessages><m:GetStreamingEventsResponseMessage ResponseClass=\"Success\"><m:ResponseCode>NoError</m:ResponseCode><m:Notifications><m:Notification><t:SubscriptionId>JwBieWFwcjE4bWIyNDQwLm5hbXByZDE4LnByb2Qub3V0bG9vay5jb20QAAAASQcw3Xriq0+/v1BcZcIg4UyaLQaRjdYIEAAAAKStBHVI/VtOowPZCRt0Buc=</t:SubscriptionId><t:CreatedEvent><t:TimeStamp>2019-02-08T07:57:16Z</t:TimeStamp><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwCXsiQbdw6RT4zkl/niInBaAAAERMlIAACXsiQbdw6RT4zkl/niInBaAABEbikcAAA=\" ChangeKey=\"CQAAAA==\" /><t:ParentFolderId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAAAAACcdiL/8D0KQLZ/lki/lSsvAQCXsiQbdw6RT4zkl/niInBaAAAERMlIAAA=\" ChangeKey=\"AQAAAA==\" /></t:CreatedEvent><t:NewMailEvent><t:TimeStamp>2019-02-08T07:57:16Z</t:TimeStamp><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwCXsiQbdw6RT4zkl/niInBaAAAERMlIAACXsiQbdw6RT4zkl/niInBaAABEbikcAAA=\" ChangeKey=\"CQAAAA==\" /><t:ParentFolderId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAAAAACcdiL/8D0KQLZ/lki/lSsvAQCXsiQbdw6RT4zkl/niInBaAAAERMlIAAA=\" ChangeKey=\"AQAAAA==\" /></t:NewMailEvent><t:ModifiedEvent><t:TimeStamp>2019-02-08T07:57:16Z</t:TimeStamp><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwCXsiQbdw6RT4zkl/niInBaAAAERMlIAACXsiQbdw6RT4zkl/niInBaAABEbikcAAA=\" ChangeKey=\"CQAAAA==\" /><t:ParentFolderId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAAAAACcdiL/8D0KQLZ/lki/lSsvAQCXsiQbdw6RT4zkl/niInBaAAAERMlIAAA=\" ChangeKey=\"AQAAAA==\" /></t:ModifiedEvent><t:ModifiedEvent><t:TimeStamp>2019-02-08T07:57:16Z</t:TimeStamp><t:FolderId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAAAAACcdiL/8D0KQLZ/lki/lSsvAQCXsiQbdw6RT4zkl/niInBaAAAERMlIAAA=\" ChangeKey=\"AQAAAA==\" /><t:ParentFolderId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAAAAACcdiL/8D0KQLZ/lki/lSsvAQCXsiQbdw6RT4zkl/niInBaAAAERMlFAAA=\" ChangeKey=\"AQAAAA==\" /></t:ModifiedEvent></m:Notification></m:Notifications></m:GetStreamingEventsResponseMessage></m:ResponseMessages></m:GetStreamingEventsResponse></soap11:Body></Envelop"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "e>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_qSeboJb.xml"
org.kde.pim.ews.client:  CreatedEvent, I, parent: EwsId(1wl65vk, 13uqe4w), id: EwsId(1pcwqd2, qgvaa6)
org.kde.pim.ews.client:  NewMailEvent, I, parent: EwsId(1wl65vk, 13uqe4w), id: EwsId(1pcwqd2, qgvaa6)
org.kde.pim.ews.client:  ModifiedEvent, I, parent: EwsId(1wl65vk, 13uqe4w), id: EwsId(1pcwqd2, qgvaa6)
org.kde.pim.ews.client:  ModifiedEvent, F, parent: EwsId(1wjis3h, 13uqe4w), id: EwsId(1wl65vk, 13uqe4w)
org.kde.pim.ews.client.request: Got GetStreamingEvents response (1 notifications, 4 events)
org.kde.pim.ews: Found modified folder tree
org.kde.pim.ews: Found 1 modified folders
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "<Envelope xmlns=\"http://schemas.xmlsoap.org/soap/envelope/\"><soap11:Header xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><ServerVersionInfo xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" MajorVersion=\"15\" MinorVersion=\"20\" MajorBuildNumber=\"1601\" MinorBuildNumber=\"22\" Version=\"V2018_01_08\" xmlns=\"http://schemas.microsoft.com/exchange/services/2006/types\" /></soap11:Header><soap11:Body xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><m:GetStreamingEventsResponse xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\"><m:ResponseMessages><m:GetStreamingEventsResponseMessage ResponseClass=\"Success\"><m:ResponseCode>NoError</m:ResponseCode><m:ConnectionStatus>OK</m:ConnectionStatus></m:GetStreamingEventsResponseMessage></m:ResponseMessages></m:GetStreamingEventsResponse></soap11:Body></Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_OZjcJhu.xml"
org.kde.pim.ews.client.request: Got GetStreamingEvents response (0 notifications, 0 events)
org.kde.pim.koalarmclient: Check: "Thu Feb 7 23:56:42 2019"  - "Thu Feb 7 23:57:41 2019"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "<Envelope xmlns=\"http://schemas.xmlsoap.org/soap/envelope/\"><soap11:Header xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><ServerVersionInfo xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" MajorVersion=\"15\" MinorVersion=\"20\" MajorBuildNumber=\"1601\" MinorBuildNumber=\"22\" Version=\"V2018_01_08\" xmlns=\"http://schemas.microsoft.com/exchange/services/2006/types\" /></soap11:Header><soap11:Body xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><m:GetStreamingEventsResponse xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\"><m:ResponseMessages><m:GetStreamingEventsResponseMessage ResponseClass=\"Success\"><m:ResponseCode>NoError</m:ResponseCode><m:ConnectionStatus>OK</m:ConnectionStatus></m:GetStreamingEventsResponseMessage></m:ResponseMessages></m:GetStreamingEventsResponse></soap11:Body></Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_xPUBAAH.xml"
org.kde.pim.ews.client.request: Got GetStreamingEvents response (0 notifications, 0 events)
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "<Envelope xmlns=\"http://schemas.xmlsoap.org/soap/envelope/\"><soap11:Header xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><ServerVersionInfo xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" MajorVersion=\"15\" MinorVersion=\"20\" MajorBuildNumber=\"1601\" MinorBuildNumber=\"22\" Version=\"V2018_01_08\" xmlns=\"http://schemas.microsoft.com/exchange/services/2006/types\" /></soap11:Header><soap11:Body xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><m:GetStreamingEventsResponse xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\"><m:ResponseMessages><m:GetStreamingEventsResponseMessage ResponseClass=\"Success\"><m:ResponseCode>NoError</m:ResponseCode><m:Notifications><m:Notification><t:SubscriptionId>JwBieWFwcjE4bWIyNDQwLm5hbXByZDE4LnByb2Qub3V0bG9vay5jb20QAAAASQcw3Xriq0+/v1BcZcIg4UyaLQaRjdYIEAAAAKStBHVI/VtOowPZCRt0Buc=</t:SubscriptionId><t:CreatedEvent><t:TimeStamp>2019-02-08T07:58:14Z</t:TimeStamp><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAABEbfNaAAA=\" ChangeKey=\"CQAAAA==\" /><t:ParentFolderId Id=\"AQMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAADnHYi//A9CkC2f5ZIv5UrLwEAGzKt5YlO30SMX18AdeRrEBcAAAIBDAAAAA==\" ChangeKey=\"AQAAAA==\" /></t:CreatedEvent><t:NewMailEvent><t:TimeStamp>2019-02-08T07:58:14Z</t:TimeStamp><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAABEbfNaAAA=\" ChangeKey=\"CQAAAA==\" /><t:ParentFolderId Id=\"AQMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAADnHYi//A9CkC2f5ZIv5UrLwEAGzKt5YlO30SMX1"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "8AdeRrEBcAAAIBDAAAAA==\" ChangeKey=\"AQAAAA==\" /></t:NewMailEvent><t:ModifiedEvent><t:TimeStamp>2019-02-08T07:58:15Z</t:TimeStamp><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAABEbfNaAAA=\" ChangeKey=\"CQAAAA==\" /><t:ParentFolderId Id=\"AQMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAADnHYi//A9CkC2f5ZIv5UrLwEAGzKt5YlO30SMX18AdeRrEBcAAAIBDAAAAA==\" ChangeKey=\"AQAAAA==\" /></t:ModifiedEvent><t:ModifiedEvent><t:TimeStamp>2019-02-08T07:58:15Z</t:TimeStamp><t:FolderId Id=\"AQMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAADnHYi//A9CkC2f5ZIv5UrLwEAGzKt5YlO30SMX18AdeRrEBcAAAIBDAAAAA==\" ChangeKey=\"AQAAAA==\" /><t:ParentFolderId Id=\"AQMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAADnHYi//A9CkC2f5ZIv5UrLwEAGzKt5YlO30SMX18AdeRrEBcAAAIBCAAAAA==\" ChangeKey=\"AQAAAA==\" /></t:ModifiedEvent></m:Notification></m:Notifications></m:GetStreamingEventsResponseMessage></m:ResponseMessages></m:GetStreamingEventsResponse></soap11:Body></Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_gBkLxlJ.xml"
org.kde.pim.ews.client:  CreatedEvent, I, parent: EwsId(Inbox, 13uqe4w), id: EwsId(vud83a, qgvaa6)
org.kde.pim.ews.client:  NewMailEvent, I, parent: EwsId(Inbox, 13uqe4w), id: EwsId(vud83a, qgvaa6)
org.kde.pim.ews.client:  ModifiedEvent, I, parent: EwsId(Inbox, 13uqe4w), id: EwsId(vud83a, qgvaa6)
org.kde.pim.ews.client:  ModifiedEvent, F, parent: EwsId(Top of Information Store, 13uqe4w), id: EwsId(Inbox, 13uqe4w)
org.kde.pim.ews.client.request: Got GetStreamingEvents response (1 notifications, 4 events)
org.kde.pim.ews: Found modified folder tree
org.kde.pim.ews: Found 1 modified folders
org.kde.pim.koalarmclient: Check: "Thu Feb 7 23:57:42 2019"  - "Thu Feb 7 23:58:41 2019"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "<Envelope xmlns=\"http://schemas.xmlsoap.org/soap/envelope/\"><soap11:Header xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><ServerVersionInfo xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" MajorVersion=\"15\" MinorVersion=\"20\" MajorBuildNumber=\"1601\" MinorBuildNumber=\"22\" Version=\"V2018_01_08\" xmlns=\"http://schemas.microsoft.com/exchange/services/2006/types\" /></soap11:Header><soap11:Body xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><m:GetStreamingEventsResponse xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\"><m:ResponseMessages><m:GetStreamingEventsResponseMessage ResponseClass=\"Success\"><m:ResponseCode>NoError</m:ResponseCode><m:ConnectionStatus>OK</m:ConnectionStatus></m:GetStreamingEventsResponseMessage></m:ResponseMessages></m:GetStreamingEventsResponse></soap11:Body></Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_DrpnHNt.xml"
org.kde.pim.ews.client.request: Got GetStreamingEvents response (0 notifications, 0 events)
org.kde.pim.imapresource: Restarting IDLE to prevent server from disconnecting me!
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "<Envelope xmlns=\"http://schemas.xmlsoap.org/soap/envelope/\"><soap11:Header xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><ServerVersionInfo xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" MajorVersion=\"15\" MinorVersion=\"20\" MajorBuildNumber=\"1601\" MinorBuildNumber=\"22\" Version=\"V2018_01_08\" xmlns=\"http://schemas.microsoft.com/exchange/services/2006/types\" /></soap11:Header><soap11:Body xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><m:GetStreamingEventsResponse xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\"><m:ResponseMessages><m:GetStreamingEventsResponseMessage ResponseClass=\"Success\"><m:ResponseCode>NoError</m:ResponseCode><m:Notifications><m:Notification><t:SubscriptionId>JwBieWFwcjE4bWIyNDQwLm5hbXByZDE4LnByb2Qub3V0bG9vay5jb20QAAAASQcw3Xriq0+/v1BcZcIg4UyaLQaRjdYIEAAAAKStBHVI/VtOowPZCRt0Buc=</t:SubscriptionId><t:CreatedEvent><t:TimeStamp>2019-02-08T07:59:04Z</t:TimeStamp><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwCXsiQbdw6RT4zkl/niInBaAAAERMlOAACXsiQbdw6RT4zkl/niInBaAABEbjEBAAA=\" ChangeKey=\"CQAAAA==\" /><t:ParentFolderId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAAAAACcdiL/8D0KQLZ/lki/lSsvAQCXsiQbdw6RT4zkl/niInBaAAAERMlOAAA=\" ChangeKey=\"AQAAAA==\" /></t:CreatedEvent><t:NewMailEvent><t:TimeStamp>2019-02-08T07:59:04Z</t:TimeStamp><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwCXsiQbdw6RT4zkl/niInBaAAAERMlOAACXsiQbdw6RT4zkl/niInBaAABEbjEBAAA=\" ChangeKey=\"CQAAAA==\" /><t:ParentFolderId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAAAAACcdiL/8D0KQLZ/lki/lSsvAQCXsiQbdw6RT4zkl/niInBaAAAERMlOAAA=\" ChangeKey=\"AQAAAA==\" /></t:NewMailEvent><t:ModifiedEvent><t:TimeStamp>2019-02-08T07:59:05Z</t:TimeStamp><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwCXsiQbdw6RT4zkl/niInBaAAAERMlOAACXsiQbdw6RT4zkl/niInBaAABEbjEBAAA=\" ChangeKey=\"CQAAAA==\" /><t:ParentFolderId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAAAAACcdiL/8D0KQLZ/lki/lSsvAQCXsiQbdw6RT4zkl/niInBaAAAERMlOAAA=\" ChangeKey=\"AQAAAA==\" /></t:ModifiedEvent><t:ModifiedEvent><t:TimeStamp>2019-02-08T07:59:05Z</t:TimeStamp><t:FolderId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAAAAACcdiL/8D0KQLZ/lki/lSsvAQCXsiQbdw6RT4zkl/niInBaAAAERMlOAAA=\" ChangeKey=\"AQAAAA==\" /><t:ParentFolderId Id=\"AQMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAADnHYi//A9CkC2f5ZIv5UrLwEAGzKt5YlO30SMX18AdeRrEBcAAAIBDAAAAA==\" ChangeKey=\"AQAAAA==\" /></t:ModifiedEvent></m:Notification></m:Notifications></m:GetStreamingEventsResponseMessage></m:ResponseMessages></m:GetStreamingEventsResponse></soap11:Body></Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.imapresource: IDLE dropped maybe we should reconnect?
org.kde.pim.imapresource: Restarting the IDLE session!
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_WzacyoZ.xml"
org.kde.pim.ews.client:  CreatedEvent, I, parent: EwsId(1wogxfq, 13uqe4w), id: EwsId(j8c9du, qgvaa6)
org.kde.pim.ews.client:  NewMailEvent, I, parent: EwsId(1wogxfq, 13uqe4w), id: EwsId(j8c9du, qgvaa6)
org.kde.pim.ews.client:  ModifiedEvent, I, parent: EwsId(1wogxfq, 13uqe4w), id: EwsId(j8c9du, qgvaa6)
org.kde.pim.ews.client:  ModifiedEvent, F, parent: EwsId(Inbox, 13uqe4w), id: EwsId(1wogxfq, 13uqe4w)
org.kde.pim.ews.client.request: Got GetStreamingEvents response (1 notifications, 4 events)
org.kde.pim.ews: Found modified folder tree
org.kde.pim.ews: Found 1 modified folders
org.kde.pim.akonadiserver: ItemRetrievalJob finished for request 0x7f9db802ce10 , error: "Unable to retrieve item from resource: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken."
org.kde.pim.akonadiserver: someone else requested item (470378) as well, marking as processed
org.kde.pim.akonadiserver: Database "akonadi" opened using driver "QPSQL"
org.kde.pim.akonadiserver.search: SEARCH:
org.kde.pim.akonadiserver.search:       Query: "{\n    \"limit\": -1,\n    \"negated\": false,\n    \"rel\": 1,\n    \"subTerms\": [\n        {\n            \"cond\": 0,\n            \"key\": \"email\",\n            \"negated\": false,\n            \"value\": \"bugzilla_noreply@kde.org\"\n        }\n    ]\n}\n"
org.kde.pim.akonadiserver.search:       MimeTypes: ("text/directory")
org.kde.pim.akonadiserver.search:       Collections: QVector(0, 4, 40, 31, 45, 66, 72, 67, 70, 68, 69, 71)
org.kde.pim.akonadiserver.search:       Remote: false
org.kde.pim.akonadiserver.search:       Recursive true
org.kde.pim.akonadiserver.search: Executing search "kontact-48271-SearchSession"
org.kde.pim.akonadiplugin_indexer: Got 0 results
org.kde.pim.akonadiserver.search: Search done "kontact-48271-SearchSession" (without remote search)
org.kde.pim.akonadiserver.search:       Result: 0 matches
org.kde.pim.koalarmclient: Check: "Thu Feb 7 23:58:42 2019"  - "Thu Feb 7 23:59:41 2019"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "<Envelope xmlns=\"http://schemas.xmlsoap.org/soap/envelope/\"><soap11:Header xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><ServerVersionInfo xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" MajorVersion=\"15\" MinorVersion=\"20\" MajorBuildNumber=\"1601\" MinorBuildNumber=\"22\" Version=\"V2018_01_08\" xmlns=\"http://schemas.microsoft.com/exchange/services/2006/types\" /></soap11:Header><soap11:Body xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><m:GetStreamingEventsResponse xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\"><m:ResponseMessages><m:GetStreamingEventsResponseMessage ResponseClass=\"Success\"><m:ResponseCode>NoError</m:ResponseCode><m:ConnectionStatus>OK</m:ConnectionStatus></m:GetStreamingEventsResponseMessage></m:ResponseMessages></m:GetStreamingEventsResponse></soap11:Body></Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_qoKNlxW.xml"
org.kde.pim.ews.client.request: Got GetStreamingEvents response (0 notifications, 0 events)
org.kde.pim.akonadiserver.search: SEARCH:
org.kde.pim.akonadiserver.search:       Query: "{\n    \"limit\": -1,\n    \"negated\": false,\n    \"rel\": 1,\n    \"subTerms\": [\n        {\n            \"cond\": 0,\n            \"key\": \"email\",\n            \"negated\": false,\n            \"value\": \"bugzilla_noreply@kde.org\"\n        }\n    ]\n}\n"
org.kde.pim.akonadiserver.search:       MimeTypes: ("text/directory")
org.kde.pim.akonadiserver.search:       Collections: QVector(0, 4, 40, 31, 45, 66, 72, 67, 70, 68, 69, 71)
org.kde.pim.akonadiserver.search:       Remote: false
org.kde.pim.akonadiserver.search:       Recursive true
org.kde.pim.akonadiserver.search: Executing search "kontact-48271-SearchSession"
org.kde.pim.akonadiplugin_indexer: Got 0 results
org.kde.pim.akonadiserver.search: Search done "kontact-48271-SearchSession" (without remote search)
org.kde.pim.akonadiserver.search:       Result: 0 matches
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "<Envelope xmlns=\"http://schemas.xmlsoap.org/soap/envelope/\"><soap11:Header xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><ServerVersionInfo xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" MajorVersion=\"15\" MinorVersion=\"20\" MajorBuildNumber=\"1601\" MinorBuildNumber=\"22\" Version=\"V2018_01_08\" xmlns=\"http://schemas.microsoft.com/exchange/services/2006/types\" /></soap11:Header><soap11:Body xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><m:GetStreamingEventsResponse xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\"><m:ResponseMessages><m:GetStreamingEventsResponseMessage ResponseClass=\"Success\"><m:ResponseCode>NoError</m:ResponseCode><m:ConnectionStatus>OK</m:ConnectionStatus></m:GetStreamingEventsResponseMessage></m:ResponseMessages></m:GetStreamingEventsResponse></soap11:Body></Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_FaDFwWP.xml"
org.kde.pim.ews.client.request: Got GetStreamingEvents response (0 notifications, 0 events)
org.kde.pim.koalarmclient: Check: "Thu Feb 7 23:59:42 2019"  - "Fri Feb 8 00:00:41 2019"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "<Envelope xmlns=\"http://schemas.xmlsoap.org/soap/envelope/\"><soap11:Header xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><ServerVersionInfo xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" MajorVersion=\"15\" MinorVersion=\"20\" MajorBuildNumber=\"1601\" MinorBuildNumber=\"22\" Version=\"V2018_01_08\" xmlns=\"http://schemas.microsoft.com/exchange/services/2006/types\" /></soap11:Header><soap11:Body xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><m:GetStreamingEventsResponse xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\"><m:ResponseMessages><m:GetStreamingEventsResponseMessage ResponseClass=\"Success\"><m:ResponseCode>NoError</m:ResponseCode><m:Notifications><m:Notification><t:SubscriptionId>JwBieWFwcjE4bWIyNDQwLm5hbXByZDE4LnByb2Qub3V0bG9vay5jb20QAAAASQcw3Xriq0+/v1BcZcIg4UyaLQaRjdYIEAAAAKStBHVI/VtOowPZCRt0Buc=</t:SubscriptionId><t:CreatedEvent><t:TimeStamp>2019-02-08T08:00:45Z</t:TimeStamp><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwCXsiQbdw6RT4zkl/niInBaAAAERMlIAACXsiQbdw6RT4zkl/niInBaAABEbikdAAA=\" ChangeKey=\"CQAAAA==\" /><t:ParentFolderId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAAAAACcdiL/8D0KQLZ/lki/lSsvAQCXsiQbdw6RT4zkl/niInBaAAAERMlIAAA=\" ChangeKey=\"AQAAAA==\" /></t:CreatedEvent><t:NewMailEvent><t:TimeStamp>2019-02-08T08:00:45Z</t:TimeStamp><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwCXsiQbdw6RT4zkl/niInBaAAAERMlIAACXsiQbdw6RT4zkl/niInBaAABEbikdAAA=\" ChangeKey=\"CQAAAA==\" /><t:ParentFolderId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAAAAACcdiL/8D0KQLZ/lki/lSsvAQCXsiQbdw6RT4zkl/"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "niInBaAAAERMlIAAA=\" ChangeKey=\"AQAAAA==\" /></t:NewMailEvent><t:ModifiedEvent><t:TimeStamp>2019-02-08T08:00:45Z</t:TimeStamp><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwCXsiQbdw6RT4zkl/niInBaAAAERMlIAACXsiQbdw6RT4zkl/niInBaAABEbikdAAA=\" ChangeKey=\"CQAAAA==\" /><t:ParentFolderId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAAAAACcdiL/8D0KQLZ/lki/lSsvAQCXsiQbdw6RT4zkl/niInBaAAAERMlIAAA=\" ChangeKey=\"AQAAAA==\" /></t:ModifiedEvent><t:ModifiedEvent><t:TimeStamp>2019-02-08T08:00:45Z</t:TimeStamp><t:FolderId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAAAAACcdiL/8D0KQLZ/lki/lSsvAQCXsiQbdw6RT4zkl/niInBaAAAERMlIAAA=\" ChangeKey=\"AQAAAA==\" /><t:ParentFolderId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwAuAAAAAACcdiL/8D0KQLZ/lki/lSsvAQCXsiQbdw6RT4zkl/niInBaAAAERMlFAAA=\" ChangeKey=\"AQAAAA==\" /></t:ModifiedEvent></m:Notification></m:Notifications></m:GetStreamingEventsResponseMessage></m:ResponseMessages></m:GetStreamingEventsResponse></soap11:Body></Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_TqQSXdt.xml"
org.kde.pim.ews.client:  CreatedEvent, I, parent: EwsId(1wl65vk, 13uqe4w), id: EwsId(1pdgiyf, qgvaa6)
org.kde.pim.ews.client:  NewMailEvent, I, parent: EwsId(1wl65vk, 13uqe4w), id: EwsId(1pdgiyf, qgvaa6)
org.kde.pim.ews.client:  ModifiedEvent, I, parent: EwsId(1wl65vk, 13uqe4w), id: EwsId(1pdgiyf, qgvaa6)
org.kde.pim.ews.client:  ModifiedEvent, F, parent: EwsId(1wjis3h, 13uqe4w), id: EwsId(1wl65vk, 13uqe4w)
org.kde.pim.ews.client.request: Got GetStreamingEvents response (1 notifications, 4 events)
org.kde.pim.ews: Found modified folder tree
org.kde.pim.ews: Found 1 modified folders
org.kde.pim.imapresource: IDLE stats received: KIMAP::IdleJob(0x55e25c2792a0) "INBOX" 243282 1
org.kde.pim.imapresource: Cached information: "/INBOX" 82 243282 1
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "<Envelope xmlns=\"http://schemas.xmlsoap.org/soap/envelope/\"><soap11:Header xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><ServerVersionInfo xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" MajorVersion=\"15\" MinorVersion=\"20\" MajorBuildNumber=\"1601\" MinorBuildNumber=\"22\" Version=\"V2018_01_08\" xmlns=\"http://schemas.microsoft.com/exchange/services/2006/types\" /></soap11:Header><soap11:Body xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><m:GetStreamingEventsResponse xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\"><m:ResponseMessages><m:GetStreamingEventsResponseMessage ResponseClass=\"Success\"><m:ResponseCode>NoError</m:ResponseCode><m:ConnectionStatus>OK</m:ConnectionStatus></m:GetStreamingEventsResponseMessage></m:ResponseMessages></m:GetStreamingEventsResponse></soap11:Body></Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_ZppUvvh.xml"
org.kde.pim.ews.client.request: Got GetStreamingEvents response (0 notifications, 0 events)
org.kde.pim.akonadiserver: posting retrieval request for items (470378)  there are  0  queues and  0  items in mine
org.kde.pim.akonadiserver: ItemRetrievalJob Akonadi::Server::ItemRetrievalJob(0x7f9ea40109d0) started for request 0x7f9dbc046d70
org.kde.pim.akonadiserver: processing retrieval request for item (470378)  parts: ("HEAD", "RFC822")  of resource: "akonadi_ews_resource_3"
org.kde.pim.akonadiserver: posting retrieval request for items (470378)  there are  1  queues and  0  items in mine
org.kde.pim.koalarmclient: Check: "Fri Feb 8 00:00:42 2019"  - "Fri Feb 8 00:01:41 2019"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) "<Envelope xmlns=\"http://schemas.xmlsoap.org/soap/envelope/\"><soap11:Header xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><ServerVersionInfo xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" MajorVersion=\"15\" MinorVersion=\"20\" MajorBuildNumber=\"1601\" MinorBuildNumber=\"22\" Version=\"V2018_01_08\" xmlns=\"http://schemas.microsoft.com/exchange/services/2006/types\" /></soap11:Header><soap11:Body xmlns:soap11=\"http://schemas.xmlsoap.org/soap/envelope/\"><m:GetStreamingEventsResponse xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\"><m:ResponseMessages><m:GetStreamingEventsResponseMessage ResponseClass=\"Success\"><m:ResponseCode>NoError</m:ResponseCode><m:ConnectionStatus>OK</m:ConnectionStatus></m:GetStreamingEventsResponseMessage></m:ResponseMessages></m:GetStreamingEventsResponse></soap11:Body></Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x5638f5a5df70) " "
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-MyLNuMx/ews_xmldump_ReMpSPZ.xml"
org.kde.pim.ews.client.request: Got GetStreamingEvents response (0 notifications, 0 events)
org.kde.pim.koalarmclient: Check: "Fri Feb 8 00:01:42 2019"  - "Fri Feb 8 00:02:41 2019"
Comment 5 Aaron Williams 2019-02-08 08:13:30 UTC
By a Microsoft issue, I don't think it's a bug but just a function in the protocol which Akonadi is ignoring and doesn't recover from.
Comment 6 Aaron Williams 2019-02-08 08:21:17 UTC
I restarted it again and am dumping all the logs to a file.  I suspect the file will be huge, though.
Comment 7 Aaron Williams 2019-02-08 08:49:19 UTC
I have a complete log file but I do not want to attach it here since it may contain proprietary email information.  The log is 82.4MiB uncompressed and around 8.6MB compressed.  This includes the entire operation from when I started the EWS resource until it stopped downloading any new messages. I will make the log available to any developers, however, because with this issue I am now unable to access my work email since my employer shut down IMAP.
Comment 8 Aaron Williams 2019-02-08 09:15:46 UTC
Here is when the ErrorServerBusy first started:

org.kde.pim.ews.client.proto: "<?xml version=\"1.0\"?><soap:Envelope xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><soap:Header><t:RequestServerVersion Version=\"Exchange2007_SP1\"/></soap:Header><soap:Body><m:GetItem><m:ItemShape><t:BaseShape>IdOnly</t:BaseShape><t:AdditionalProperties><t:FieldURI FieldURI=\"item:Subject\"/><t:FieldURI FieldURI=\"item:Importance\"/><t:FieldURI FieldURI=\"message:From\"/><t:FieldURI FieldURI=\"message:ToRecipients\"/><t:FieldURI FieldURI=\"message:CcRecipients\"/><t:FieldURI FieldURI=\"message:BccRecipients\"/><t:FieldURI FieldURI=\"item:Categories\"/><t:FieldURI FieldURI=\"item:DateTimeReceived\"/><t:FieldURI FieldURI=\"item:InReplyTo\"/><t:FieldURI FieldURI=\"message:References\"/><t:FieldURI FieldURI=\"message:ReplyTo\"/><t:FieldURI FieldURI=\"message:InternetMessageId\"/><t:FieldURI FieldURI=\"item:Size\"/><t:ExtendedFieldURI PropertySetId=\"9bf757ae-69b5-4d8a-bf1d-2dd0c0871a28\" PropertyName=\"Flags\" PropertyType=\"StringArray\"/><t:ExtendedFieldURI PropertyTag=\"0x1090\" PropertyType=\"Integer\"/><t:FieldURI FieldURI=\"message:IsRead\"/><t:FieldURI FieldURI=\"item:HasAttachments\"/><t:ExtendedFieldURI PropertySetId=\"9bf757ae-69b5-4d8a-bf1d-2dd0c0871a28\" PropertyName=\"Tags\" PropertyType=\"StringArray\"/></t:AdditionalProperties></m:ItemShape><m:ItemIds><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERXxCAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLVt\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERXxDAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLVv\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERXxEAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLVx\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERXxFAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLVz\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERXxGAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLV1\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERXxHAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLV3\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERXxIAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLV5\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERXxJAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLV7\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERXxKAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLV9\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYx3AAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLV/\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYx4AAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWB\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYx5AAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWD\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYx6AAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWF\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYx7AAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWH\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYx8AAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWJ\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYx9AAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWL\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYx+AAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWN\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYx/AAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWP\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyAAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWR\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyBAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWT\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyCAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWV\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyDAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWX\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyEAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWZ\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyFAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWb\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyGAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWd\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyHAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWf\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyIAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWh\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyJAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWj\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyKAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWl\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyLAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWn\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyMAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWp\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyNAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWr\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyOAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWt\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyPAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWv\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyQAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWx\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyRAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLWz\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYySAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLW1\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyTAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLW3\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyUAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLW5\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyVAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLW7\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyWAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLW9\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyXAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLW/\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyYAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLXB\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyZAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLXD\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyaAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLXF\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYybAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLXH\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYycAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLXJ\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYydAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLXL\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyeAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLXN\"/><t:ItemId Id=\"AAMkADc1MDRhZGE0LWZkNDgtNGU1Yi1hMzAzLWQ5MDkxYjc0MDZlNwBGAAAAAACcdiL/8D0KQLZ/lki/lSsvBwAbMq3liU7fRIxfX3XkaxAXAAAAAAEMAACXsiQbdw6RT4zkl/niInBaAAAERYyfAAA=\" ChangeKey=\"CQAAABYAAACXsiQbdw6RT4zkl/niInBaAAAERLXP\"/></m:ItemIds></m:GetItem></soap:Body></soap:Envelope>\n"
org.kde.pim.ews.client.request: Starting GetItem request ((EwsId(r58fbl, 833i35), EwsId(r5s7wy, 833i37), EwsId(r6c0ib, 833i39), EwsId(r6vt3o, 833i3b), EwsId(r7flp1, 833i1a), EwsId(r7zeae, 833i1c), EwsId(r8j6vr, 833i1e), EwsId(r92zh4, 833i1g), EwsId(r9ms2h, 833i1i), EwsId(15ku01u, 833i18), EwsId(15ldsn7, 833i2m), EwsId(15lxl8k, 833i2o), EwsId(15mhdtx, 833i2q), EwsId(15n16fa, 833i2s), EwsId(15nkz0n, 833i2u), EwsId(15o4rm0, 833i2w), EwsId(15gfnay, 833i2y), EwsId(15imtoe, 833i30), EwsId(169kqr3, 833i32), EwsId(16a4jcg, 833i34), EwsId(16aobxt, 833i36), EwsId(16b84j6, 833i38), EwsId(16brx4j, 833i3a), EwsId(16cbppw, 833i3i), EwsId(16cvib9, 833i3k), EwsId(16dfawm, 833i3m), EwsId(16dz3hz, 833i3o), EwsId(16eiw3c, 833i3q), EwsId(16f2oop, 833i3s), EwsId(16fmha2, 833i3u), EwsId(16g69vf, 833i3w), EwsId(16gq2gs, 833i3y), EwsId(16h9v25, 833i40), EwsId(16htnni, 833i42), EwsId(16idg8v, 833i44), EwsId(16ix8u8, 833i46), EwsId(16jh1fl, 833i25), EwsId(16k0u0y, 833i27), EwsId(16kkmmb, 833i29), EwsId(16l4f7o, 833i2b), EwsId(16lo7t1, 833i2d), EwsId(16m80ee, 833i23), EwsId(16mrszr, 833i3h), EwsId(16nbll4, 833i3j), EwsId(16r65qn, 833i3l), EwsId(16rpyc0, 833i3n), EwsId(16s9qxd, 833i3p), EwsId(16stjiq, 833i3r), EwsId(16tdc43, 833i3t), EwsId(16tx4pg, 833i3v)))
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x55a5aec942e0) "<?xml version=\"1.0\" encoding=\"utf-8\"?><s:Envelope xmlns:s=\"http://schemas.xmlsoap.org/soap/envelope/\"><s:Body><s:Fault><faultcode xmlns:a=\"http://schemas.microsoft.com/exchange/services/2006/types\">a:ErrorServerBusy</faultcode><faultstring xml:lang=\"en-US\">The server cannot service this request right now. Try again later.</faultstring><detail><e:ResponseCode xmlns:e=\"http://schemas.microsoft.com/exchange/services/2006/errors\">ErrorServerBusy</e:ResponseCode><e:Message xmlns:e=\"http://schemas.microsoft.com/exchange/services/2006/errors\">The server cannot service this request right now. Try again later.</e:Message><t:MessageXml xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><t:Value Name=\"BackOffMilliseconds\">299904</t:Value></t:MessageXml></detail></s:Fault></s:Body></s:Envelope>"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x55a5aec942e0) ""
org.kde.pim.ews.client.proto: response dumped to "/tmp/akonadi-ews-qahyWHF/ews_xmldump_AdSWTcF.xml"
org.kde.pim.ews.client: a:ErrorServerBusy: The server cannot service this request right now. Try again later.
org.kde.pim.ews.client: request  dumped to "/tmp/akonadi-ews-qahyWHF/ews_xmlreqdump_DbXnNNW.xml"
org.kde.pim.ews.client: response dumped to "/tmp/akonadi-ews-qahyWHF/ews_xmlresdump_iQYdpoj.xml"
org.kde.pim.ews: Streaming request timeout - restarting
org.kde.pim.ews.client.request: Starting GetStreamingEvents request (subId: f38155, timeout: 30)
org.kde.pim.ews.client.proto: "<?xml version=\"1.0\"?><soap:Envelope xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\" xmlns:m=\"http://schemas.microsoft.com/exchange/services/2006/messages\" xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><soap:Header><t:RequestServerVersion Version=\"Exchange2010_SP1\"/></soap:Header><soap:Body><m:GetStreamingEvents><m:SubscriptionIds><t:SubscriptionId>JwBieWFwcjE4bWIyNDQwLm5hbXByZDE4LnByb2Qub3V0bG9vay5jb20QAAAASQcw3Xriq0+/v1BcZcIg4UyaLQaRjdYIEAAAAKStBHVI/VtOowPZCRt0Buc=</t:SubscriptionId></m:SubscriptionIds><m:ConnectionTimeout>30</m:ConnectionTimeout></m:GetStreamingEvents></soap:Body></soap:Envelope>\n"
org.kde.pim.ews.client.proto: data KIO::TransferJob(0x55a5ae6d7070) "<?xml version=\"1.0\" encoding=\"utf-8\"?><s:Envelope xmlns:s=\"http://schemas.xmlsoap.org/soap/envelope/\"><s:Body><s:Fault><faultcode xmlns:a=\"http://schemas.microsoft.com/exchange/services/2006/types\">a:ErrorServerBusy</faultcode><faultstring xml:lang=\"en-US\">The server cannot service this request right now. Try again later.</faultstring><detail><e:ResponseCode xmlns:e=\"http://schemas.microsoft.com/exchange/services/2006/errors\">ErrorServerBusy</e:ResponseCode><e:Message xmlns:e=\"http://schemas.microsoft.com/exchange/services/2006/errors\">The server cannot service this request right now. Try again later.</e:Message><t:MessageXml xmlns:t=\"http://schemas.microsoft.com/exchange/services/2006/types\"><t:Value Name=\"BackOffMilliseconds\">253266</t:Value></t:MessageXml></detail></s:Fault></s:Body></s:Envelope>"
Comment 9 Aaron Williams 2019-02-08 09:19:32 UTC
My guess is that after getting the ErrorServerBusy that Akonadi doesn't re-try the transaction and seems to be unable to start new ones other than events.  This seems to happen after around 30 minutes of constantly requesting emails from the server.

I didn't use to have this problem so I suspect either the server I'm on is a lot busier or that it is something new that Microsoft enabled.

When this error happens, Akonadi should wait for the specified number of milliseconds and re-send the failed request.
Comment 11 Martin Steigerwald 2019-02-08 10:08:45 UTC
Thanks a lot for the detailed traces. Let's hope Kriss can have a look at it.

(I am in the same position as my employer decided to migrate to Office 365. Privately I will keep Dovecot.)
Comment 12 Aaron Williams 2019-02-08 11:21:13 UTC
I'm sorry for the duplicate bugs, this has been very frustrating to me. My employer disabled IMAP because they consider it insecure compared to EWS, go figure.  They went so far as to disable SMTP as well (GIT loves this!).  I'm hoping this can be fixed.  I'd work on it myself but I'm pretty rusty when it comes to C++ and haven't worked on stuff like SOAP or other similar protocols... 
I work on bootloader (U-Boot) and Linux kernel code, among other low-level things. 

This has been a learning experience for me too, and I have been cursing Office 365's email for years.  When they first switched, Microsoft was limiting the number of connections internally to their authentication server so usually IMAP didn't work since it uses multiple connections.  It was so bad they provided me a GMail account to forward all my email to. It also has always been quite slow. Two months ago it took an hour to log in to the web interface and emails all timed out at a critical time.

Microsoft seems to love overloading their servers from my experience.
Comment 13 Aaron Williams 2019-02-09 08:25:45 UTC
I have looked at the logs where this happens several more times. It's always the exact same pattern. It downloads emails until the server responds with ErrorServerBusy and never recovers. Meanwhile, our IT department suggested using Hiri... it suffers the same problem as Akonadi it seems. Only Thunderbird ExQuilla is working... if by working you accept the fact that the editor will periodically freeze for many seconds and it will frequently fail to send emails. (this is on a system with a 12 core AMD Threadripper and 96GB of RAM).
Comment 14 Martin Steigerwald 2019-02-09 13:28:28 UTC
Aaron, thank you for the updates. I totally understand your situation and frustration. I did not opt in for Office 365 either. I currently use Evolution with EWS, which appears to work – will have another go with Akonadi EWS next week (but with 18.08.3). However, please let us keep this bug report to the actual issue at hand and discuss possible alternatives and so on kdepim-users. Let's try to keep the bug report concise, so it is easy for Kriss to act on it, once he managed to take the time for it.
Comment 15 Krzysztof Nowicki 2019-08-18 21:18:51 UTC
This is a known problem that I'm personally also hitting quite often and it's high on my wish list.

It's mostly painful when syncing large folders, as currently there is no state being preserved and the operation will restart from scratch once the temporary ban on the server is lifted.

The solution is to:
 - Handle the ErrorServerBusy status globally and temporarily set the resource offline in such case so that it doesn't keep spamming the server with new requests.
 - Maintain state of long-running tasks, such as folder item synchronization, so that once the server is processing requests again, these can resume where they left instead of starting from scratch, possibly eventually causing another ErrorServerBusy.
Comment 16 Martin Steigerwald 2019-08-19 07:14:39 UTC
Continuing the work when Office 365 becomes available again is important. However I wonder whether it would be possible to avoid ErrorServerBusy. But well, as long as Microsoft does not tell how much load they accept, it may just be that. Hitting ErrorServerBusy, pausing, continuing after service is available again, hitting ErrorServerBusy again. I am currently using Evolution EWS since Akonadi EWS does not work reliable enough with my Office 365 mail account and while I see that it retries an operation from time to time it does not become stuck. So it might be good to look there how they handle this situation.
Comment 17 Aaron Williams 2019-12-29 13:08:13 UTC
I tried significantly slowing down the bandwidth between my system and Microsoft but it still seems to happen.  My guess is that if a process is actively pulling data for a certain length of time it introduces the pause. This bug is hitting me much harder now because my employer now blocks IMAP and apparently Microsoft is going to do away with IMAP in the near future with Office 365.
Comment 18 Aaron Williams 2021-02-03 22:39:35 UTC
Has there been any update on this?
Comment 19 Aaron Williams 2021-05-26 00:22:19 UTC
This is hitting IMAP as well. I can no longer download any email from Microsoft office365 due to this even with IMAP.

org.kde.pim.kimap: The stream parser raised an exception: Unable to read more data
org.kde.pim.kimap: The stream parser raised an exception: Unable to read more data
org.kde.pim.kimap: The stream parser raised an exception: Unable to read more data

I would seriously raise the priority of this since as of now I cannot use KMail at all with Office365. It is incompatible with Microsoft's garbage.
Comment 20 Aaron Williams 2021-08-03 08:46:16 UTC
The IMAP problem turned out to be another issue unrelated to this.